TV Credit
curl --request GET \
--url 'https://api.themoviedb.org/3/person/{{person_id}}/tv_credits'import requests
url = "https://api.themoviedb.org/3/person/{{person_id}}/tv_credits"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/person/{{person_id}}/tv_credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cast": [
{
"adult": false,
"backdrop_path": null,
"character": "",
"credit_id": "649758bb955c6501059d2707",
"episode_count": 1,
"first_air_date": "2023-04-17",
"genre_ids": [],
"id": 229335,
"name": "인물사담회",
"origin_country": [
"KR"
],
"original_language": "ko",
"original_name": "인물사담회",
"overview": "",
"popularity": 2.719,
"poster_path": "/97Q1Jdm9IKOjhdRBb3yJTwoGBwd.jpg",
"vote_average": 0,
"vote_count": 0
}
],
"crew": [
{
"adult": false,
"backdrop_path": "/ar9vbvgTKoxZCHR35mZpv7PYwGD.jpg",
"credit_id": "66761b15d0ded90cd0231846",
"department": "Writing",
"episode_count": 11,
"first_air_date": "2008-04-20",
"genre_ids": [
18,
35
],
"id": 5585,
"job": "Original Film Writer",
"name": "My Sassy Girl",
"origin_country": [
"JP"
],
"original_language": "ja",
"original_name": "猟奇的な彼女",
"overview": "Ryokiteki na Kanojo is a Japanese television drama based on the South Korean movie My Sassy Girl. It narrates the story between Saburo Masaki, a marine biologist, and Riko Takami, an aspiring writer with a short temper. While the two are at odds with each other at first, they eventually become attracted to each other and develop a relationship. It received an average of 8.18% viewer rating throughout the series.",
"popularity": 15.002,
"poster_path": "/k6yivUGMR161AJvLgFnAkcFI879.jpg",
"vote_average": 9,
"vote_count": 1
},
{
"adult": false,
"backdrop_path": "/9bp9cVuqmZUAVfTpCxiPIpC5ACS.jpg",
"credit_id": "66761b355600b1e34177f245",
"department": "Writing",
"episode_count": 32,
"first_air_date": "2017-05-29",
"genre_ids": [
35,
18
],
"id": 71347,
"job": "Original Film Writer",
"name": "My Sassy Girl",
"origin_country": [
"KR"
],
"original_language": "ko",
"original_name": "엽기적인 그녀",
"overview": "Set in the Joseon Dynasty period, a romance takes place between cold-hearted Gyun-Woo and Princess Hyemyung who causes troubles.",
"popularity": 127.186,
"poster_path": "/llSHPKnZWaFvvTKqslvUVeyrK4O.jpg",
"vote_average": 6,
"vote_count": 27
},
{
"adult": false,
"backdrop_path": "/9WE5ffKr6iXXCXzG0kyuxOmY6s4.jpg",
"credit_id": "66761c56e60f0fd229577d57",
"department": "Writing",
"episode_count": 1,
"first_air_date": "2012-05-26",
"genre_ids": [
18
],
"id": 128387,
"job": "Original Film Writer",
"name": "My Sassy Girl",
"origin_country": [],
"original_language": "zh",
"original_name": "牵牛的夏天",
"overview": "Qian Niu is just a typical boy. On flight to Shanghai, he meets a superstar named Xiao Xia. She accidentally takes his luggage and then it begins their hilariously funny story... He unexpectedly becomes Xiao Xia's personal assistant and Xiao Xia just couldn't help herself but bullies him",
"popularity": 0.872,
"poster_path": "/xmxzg1DFV4pxghV8EZFB4NIbIMQ.jpg",
"vote_average": 0,
"vote_count": 0
},
{
"adult": false,
"backdrop_path": "/pJ57DSKx7x5aK32i4zb1ePph4eF.jpg",
"credit_id": "66761b705cafacbc073af88d",
"department": "Writing",
"episode_count": 16,
"first_air_date": "2021-10-11",
"genre_ids": [
35
],
"id": 213571,
"job": "Original Film Writer",
"name": "My Sassy Girl",
"origin_country": [
"TH"
],
"original_language": "th",
"original_name": "ยัยตัวร้ายกับนายกระจั๊วะ",
"overview": "A young man sees a drunk, cute woman standing too close to the tracks at a pier and pulls her back. She ends up getting him into trouble repeatedly after that, starting on the pier.",
"popularity": 6.118,
"poster_path": "/xbxw80UEfpzWioX3eMR3lTsC4BQ.jpg",
"vote_average": 0,
"vote_count": 0
}
],
"id": 63429
}People
TV Credit
Get the TV credits that belong to a person.
GET
/
3
/
person
/
{person_id}
/
tv_credits
TV Credit
Path Parameters
Query Parameters
Example:
"en-US"
Response
200 - application/json
TV Credit
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": null,
"character": "",
"credit_id": "649758bb955c6501059d2707",
"episode_count": 1,
"first_air_date": "2023-04-17",
"genre_ids": [],
"id": 229335,
"name": "인물사담회",
"origin_country": ["KR"],
"original_language": "ko",
"original_name": "인물사담회",
"overview": "",
"popularity": 2.719,
"poster_path": "/97Q1Jdm9IKOjhdRBb3yJTwoGBwd.jpg",
"vote_average": 0,
"vote_count": 0
}
]
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/ar9vbvgTKoxZCHR35mZpv7PYwGD.jpg",
"credit_id": "66761b15d0ded90cd0231846",
"department": "Writing",
"episode_count": 11,
"first_air_date": "2008-04-20",
"genre_ids": [18, 35],
"id": 5585,
"job": "Original Film Writer",
"name": "My Sassy Girl",
"origin_country": ["JP"],
"original_language": "ja",
"original_name": "猟奇的な彼女",
"overview": "Ryokiteki na Kanojo is a Japanese television drama based on the South Korean movie My Sassy Girl. It narrates the story between Saburo Masaki, a marine biologist, and Riko Takami, an aspiring writer with a short temper. While the two are at odds with each other at first, they eventually become attracted to each other and develop a relationship. It received an average of 8.18% viewer rating throughout the series.",
"popularity": 15.002,
"poster_path": "/k6yivUGMR161AJvLgFnAkcFI879.jpg",
"vote_average": 9,
"vote_count": 1
},
{
"adult": false,
"backdrop_path": "/9bp9cVuqmZUAVfTpCxiPIpC5ACS.jpg",
"credit_id": "66761b355600b1e34177f245",
"department": "Writing",
"episode_count": 32,
"first_air_date": "2017-05-29",
"genre_ids": [35, 18],
"id": 71347,
"job": "Original Film Writer",
"name": "My Sassy Girl",
"origin_country": ["KR"],
"original_language": "ko",
"original_name": "엽기적인 그녀",
"overview": "Set in the Joseon Dynasty period, a romance takes place between cold-hearted Gyun-Woo and Princess Hyemyung who causes troubles.",
"popularity": 127.186,
"poster_path": "/llSHPKnZWaFvvTKqslvUVeyrK4O.jpg",
"vote_average": 6,
"vote_count": 27
},
{
"adult": false,
"backdrop_path": "/9WE5ffKr6iXXCXzG0kyuxOmY6s4.jpg",
"credit_id": "66761c56e60f0fd229577d57",
"department": "Writing",
"episode_count": 1,
"first_air_date": "2012-05-26",
"genre_ids": [18],
"id": 128387,
"job": "Original Film Writer",
"name": "My Sassy Girl",
"origin_country": [],
"original_language": "zh",
"original_name": "牵牛的夏天",
"overview": "Qian Niu is just a typical boy. On flight to Shanghai, he meets a superstar named Xiao Xia. She accidentally takes his luggage and then it begins their hilariously funny story... He unexpectedly becomes Xiao Xia's personal assistant and Xiao Xia just couldn't help herself but bullies him",
"popularity": 0.872,
"poster_path": "/xmxzg1DFV4pxghV8EZFB4NIbIMQ.jpg",
"vote_average": 0,
"vote_count": 0
},
{
"adult": false,
"backdrop_path": "/pJ57DSKx7x5aK32i4zb1ePph4eF.jpg",
"credit_id": "66761b705cafacbc073af88d",
"department": "Writing",
"episode_count": 16,
"first_air_date": "2021-10-11",
"genre_ids": [35],
"id": 213571,
"job": "Original Film Writer",
"name": "My Sassy Girl",
"origin_country": ["TH"],
"original_language": "th",
"original_name": "ยัยตัวร้ายกับนายกระจั๊วะ",
"overview": "A young man sees a drunk, cute woman standing too close to the tracks at a pier and pulls her back. She ends up getting him into trouble repeatedly after that, starting on the pier.",
"popularity": 6.118,
"poster_path": "/xbxw80UEfpzWioX3eMR3lTsC4BQ.jpg",
"vote_average": 0,
"vote_count": 0
}
]
Example:
63429